[Deprecated]: v2.0

get

/ec-ors-svc/rest/v2.0/studies/{studyId}/{mode}/randlists/{rndlistid}/randnumbers

Deprecated: Retrieves randomization numbers for a randomization list. Supports searchString, limit, offset, blockedBy and status filters. Rights: OrsRandListGet and OrsUnblinded.

Request

Path Parameters
Query Parameters
  • ID of the entity which has blocked the randomization number.
    Example:
    B1B8327AFAA6412287106192AB5984EF
  • Maximum number of records to display per page.
    Default Value: 100
    Example:
    100
  • An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.
    Default Value: 0
    Example:
    0
  • Search string.
    Example:
    1001
  • Status of the randomization number.
    Example:
    1

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : Random Number Response
Type: object
Title: Random Number Response
Contains random number response.
Show Source
Nested Schema : randNumbers
Type: array
Contains Randomization number detail.
Show Source
Example:
[
    {
        "randNumberId":"D313327EF13845169A8ADADDA435431E",
        "versionStart":"2026-02-21T06:30:00Z",
        "versionEnd":"2026-02-21T06:45:00Z",
        "randNumber":10,
        "blockNumber":1,
        "randStatusId":3,
        "randStatusKey":"Assigned",
        "treatmentId":"B1B8327AFAA6412287106192AB5984EF",
        "externalTreatmentId":"ARM-A",
        "blockingParamName":"site",
        "blockingParamId":"SITE-001",
        "blockingParamValue":"Site1001",
        "subjectId":"C36A3197FDEE433FB5547EE83DE99E4B",
        "subjectNumber":"S1001",
        "statumId":"9B83BFB48C5A41C59775E4D8D22D8B26",
        "stratumName":"Male",
        "cohortId":"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA",
        "cohortName":"Demo Cohort 1001",
        "sequenceNumber":1001
    }
]
Nested Schema : RandNumbersTO v4.0
Type: object
Title: RandNumbersTO v4.0
Contains random number details.
Show Source
Example:
{
    "randNumberId":"D313327EF13845169A8ADADDA435431E",
    "versionStart":"2026-02-21T06:30:00Z",
    "versionEnd":"2026-02-21T06:45:00Z",
    "randNumber":10,
    "blockNumber":1,
    "randStatusId":3,
    "randStatusKey":"Assigned",
    "treatmentId":"B1B8327AFAA6412287106192AB5984EF",
    "externalTreatmentId":"ARM-A",
    "blockingParamName":"site",
    "blockingParamId":"SITE-001",
    "blockingParamValue":"Site1001",
    "subjectId":"C36A3197FDEE433FB5547EE83DE99E4B",
    "subjectNumber":"S1001",
    "statumId":"9B83BFB48C5A41C59775E4D8D22D8B26",
    "stratumName":"Male",
    "cohortId":"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA",
    "cohortName":"Demo Cohort 1001",
    "sequenceNumber":1001
}
Nested Schema : MinimizationTO v1.0
Type: object
Title: MinimizationTO v1.0
Contains minimization details.
Show Source
Nested Schema : groups
Type: array
Show Source
Nested Schema : MinimizationGroupTO v1.0
Type: object
Title: MinimizationGroupTO v1.0
Contains minimization group details.
Show Source
Examples

404 Response

Appears for invalid study ID or invalid study version, or if a randomization list isn't found.
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object
Examples

500 Response

Internal server error
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object
Examples

Back to Top